From 74093f685fbc471ff7f90274b30dfd44cdf525bb Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 27/32] Issues: Show validation errors in hub config


---

diff --git a/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js b/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js
index fb7d147..b4916c2 100644
--- a/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js
+++ b/hubs/static/client/app/components/HubConfig/HubConfigPanelVCS.js
@@ -59,6 +59,10 @@ export default class VCSPanel extends React.Component {
         <FormattedMessage {...messages.title} tagName="h3" />
         <FormattedMessage {...messages.intro} tagName="p" />
         {["pagure_username", "github_username", "bugzilla_email"].map(function(configParam) {
+          let invalid = null;
+          if (this.props.error && this.props.error.fields) {
+            invalid = this.props.error.fields[configParam];
+          }
           return (
             <div key={configParam} className="form-group row">
               <label htmlFor={"hub-settings-vcs-" + configParam}>
@@ -67,11 +71,16 @@ export default class VCSPanel extends React.Component {
               <input
                 type="text"
                 name={configParam}
-                className={"form-control"}
+                className={"form-control" + (invalid ? " is-invalid" : "")}
                 id={"hub-settings-vcs-" + configParam}
                 onChange={this.handleChange}
                 value={this.props.hubConfig[configParam] || ""}
                 />
+              { invalid &&
+                <div className="invalid-feedback w-100">
+                  {invalid}
+                </div>
+              }
               <p className="form-text text-muted">
                 <FormattedMessage {...messages[configParam + "_help"]} />
               </p>

